// effects wiki.html viewer and all books

var __wikiGlobals = {
	idx : 0,   // book[0] is default - must be present
	
	// pic: starting with / are assumed in KleckFiles.media/shownotes/_data/
	books : [
		{ id: 'KF', 
		  name: 'Kleck Files',
		  desc: 'The Jonathan Kleck testimonies',
		  visible: true,
		  pagePath: 'wiki/page/',
		  img: 'report/media/vatican/vat-deadsheep.jpg' },
		{ id: 'CP', 
		  name: 'Community Posts',
		  desc: 'Posts from the body',
		  visible: true,
		  pagePath: 'wiki/page/blog/',
		  img: '/2023/07/19/20230719182429-51d9dc67.png' },
		{ id: 'PL', 
		  name: 'Project Logos',
		  visible: true, // don't show in table of contents (but valid)
		  desc: 'A simple portable wiki',
		  pagePath: 'wiki/page/project/',
		  img: '/2023/07/26/20230726103808-8fe58de9.gif' },
		{ id: 'TEST', 
		  name: 'my test',
		  visible: false, // don't show in table of contents (but valid)
		  desc: 'My test book',
		  pagePath: 'wiki/test/',
		  img: '/2023/07/17/20230717180958-6405e75a.jpg' }
	],
	
	findId : function(id) {  // always return a real book index
		if (id && id.length) {
			var i, id = id.toLowerCase();
			for (i = 0; i < this.books.length; i++) {
				if (id == this.books[i].id.toLowerCase() || id == this.books[i].name.toLowerCase())
					return i;  // match
			}
		}
		return this.idx;  // default
	}
	
}

